ObjectiveGroup (CMDB Model API)
Keywords: com.collation.platform.model.topology.process.ObjectiveGroup interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.process
Interface ObjectiveGroup

All Superinterfaces:
  ManagedElement, ModelObject, Objective, java.io.Serializable

All Known Subinterfaces:
  DataServiceLevelObjectiveGroup, SLA

    public interface ObjectiveGroup

extends Objective

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.process.Objective
`IBM_COPYRIGHT`

Method Summary
`Objective[]` | `getMembers()`
`boolean` | `hasMembers()`
`void` | `setMembers(Objective[] members)`

Methods inherited from interface com.collation.platform.model.topology.process.Objective
`getAbstractresource, getActivity, getExpression, getObjectiveName, hasAbstractresource, hasActivity, hasExpression, hasObjectiveName, setAbstractresource, setActivity, setExpression, setObjectiveName`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getMembers

    Objective[] getMembers()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Federates" reverse="false"

### setMembers

    void setMembers(Objective[] members)

### hasMembers

    boolean hasMembers()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD